List Agent Conversations
curl --request GET \
--url https://api.getello.ai/api/agents/{agent_id}/conversations \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.getello.ai/api/agents/{agent_id}/conversations"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.getello.ai/api/agents/{agent_id}/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"message": "Assistant conversations retrieved successfully",
"data": {
"conversations": [
{
"id": "6900be1d39f3fd5dd4e503d4",
"conversation_id": "6900b87ca70928b1224f0619",
"assistant_id": "68dce5202fc07b92042493b1",
"to_number": "+15550123",
"from_number": "+15550999",
"created_at": "2025-10-28T12:35:17.423000Z",
"status": "disconnected"
}
],
"assistant_name": "My Agent",
"total_count": 42,
"page": 1,
"limit": 10
},
"pagination": {
"page": 1,
"limit": 10,
"total": 42,
"totalPages": 5,
"hasNextPage": true,
"hasPrevPage": false
}
}{
"status": 400,
"message": "<string>"
}{
"status": 401,
"message": "Authentication token is missing or invalid"
}{
"status": 500,
"message": "Error while getting assistant conversations",
"error": {
"details": "Error message details"
}
}Reports
List Agent Conversations
Retrieves a paginated list of all conversations for a specific agent
GET
/
api
/
agents
/
{agent_id}
/
conversations
List Agent Conversations
Authorizations
apiKeybearerAuth
Path Parameters
Unique identifier of the agent.
Example:
"68dce5202fc07b92042493b1"
Query Parameters
Page number for pagination.
Required range:
x >= 1Example:
1
Number of conversations per page.
Required range:
1 <= x <= 100Example:
10
Response
Assistant conversations retrieved successfully
⌘I